
QGIS Application - Bug report #17240

When a node on the end of a path is selected and dragged, the whole line moves instead of just that 

node

2017-10-04 12:18 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Xubuntu 17.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 25138

Description

This is not very intuitive with the new editing system. If my line has a node on the end of it, and I put the mouse over that node and click it,

I should be able to drag just that node to a new position (as was the case with the previous digitising/editing system). Instead, the whole

line moves (like the moving tool does).

(see also discussion in #16836)

Related issues:

Related to QGIS Application - Bug report # 16836: A lot harder now to insert ... Closed 2017-07-10

History

#1 - 2017-10-04 09:24 AM - Giovanni Manghi

- Status changed from Open to Feedback

Same comment as #16836-8

I can understand your point but it could be very well a decision taken on purpose by who re-designed the tools. This should be discussed in the community

and then eventually consider it a bug.

#2 - 2017-10-04 10:39 AM - Andreas Neumann

I agree with Patrick. Selecting a single vertex, only that vertex should be moved, not the whole segment or even the whole feature.

#3 - 2017-10-04 10:40 AM - Patrick Dunford

Just started a thread on the developers list

#4 - 2017-10-04 12:38 PM - Harrissou Santanna

I can't reproduce using commit:58f64bb4 on Win 10

#5 - 2017-10-04 01:50 PM - Giovanni Manghi

Also can't confirm.
#6 - 2017-10-04 02:37 PM - Patrick Dunford

Not sure about this one at the moment. It was definitely happening yesterday when I was trying to edit some data, but I haven't nailed it down today.

#7 - 2017-10-10 08:46 AM - Jürgen Fischer

- Related to Bug report #16836: A lot harder now to insert new nodes into lines and reshape lines in 7d67b02 than in previous Master 313ec55 added

#8 - 2018-02-22 01:45 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Please reopen if you have a clear way to replicate the problem. Thanks!
